> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# List Business Services

`GET https://api.pagerduty.com/business_services`

List existing Business Services.

Business services model capabilities that span multiple technical services and that may be owned by several different teams.

For more information see the [API Concepts Document](https://docs.pagerduty.com/developer/api-concepts#business-services)

Scoped OAuth requires: `services.read`

## Authorization

- **api_key** (apiKey) — `Authorization` header. The API Key with format `Token token=<API_KEY>`

## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `limit` | integer |  | The number of results per page. |
| `offset` | integer |  | Offset to start pagination search results. |
| `total` | boolean |  | By default the `total` field in pagination responses is set to `null` to provide the fastest possible response times. Set `total` to `true` for this field to be populated. See our [Pagination Docs](https://docs.pagerduty.com/developer/pagination) for more information. Default: `false`. |

## Header parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `Accept` | string | yes | The `Accept` header is used as a versioning header. Default: `application/vnd.pagerduty+json;version=2`. |

## Response 200

A paginated array of services.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `offset` | integer |  | Echoes offset pagination property. Read-only. |
| `limit` | integer |  | Echoes limit pagination property. Read-only. |
| `more` | boolean |  | Indicates if there are additional records to return. Read-only. |
| `total` | integer \| null |  | The total number of records matching the given query. Read-only. |
| `business_services` | array of object | yes |  |
| `business_services[].id` | string |  | Read-only. |
| `business_services[].summary` | string \| null |  | A short-form, server-generated string that provides succinct, important information about an object suitable for primary labeling of an entity in a client. In many cases, this will be identical to `name`, though it is not intended to be an identifier. Read-only. |
| `business_services[].type` | string |  | A string that determines the schema of the object. This must be the standard name for the entity, suffixed by `_reference` if the object is a reference. Read-only. |
| `business_services[].self` | string \| null (url) |  | the API show URL at which the object is accessible. Read-only. |
| `business_services[].html_url` | string \| null (url) |  | a URL at which the entity is uniquely displayed in the Web app. Read-only. |
| `business_services[].name` | string |  | The name of the business service. |
| `business_services[].description` | string |  | The user-provided description of the business service. |
| `business_services[].point_of_contact` | string |  | The point of contact assigned to this service. |
| `business_services[].team` | object \| null |  | Reference to the team that owns the business service. |
| `business_services[].team.id` | string | yes |  |
| `business_services[].team.type` | string |  | A string that determines the schema of the object. Read-only. |
| `business_services[].team.self` | string (url) |  | The API show URL at which the object is accessible. Read-only. |

Example: Response Example

```json
{
  "business_services": [
    {
      "type": "business_service",
      "self": "https://api.pagerduty.com/business_services/P3U7V58",
      "html_url": null,
      "point_of_contact": "PagerDuty Admin",
      "name": "stand-alone node",
      "team": null,
      "id": "P3U7V58",
      "description": "Very important business function",
      "summary": "stand-alone node"
    },
    {
      "type": "business_service",
      "self": "https://api.pagerduty.com/business_services/P1L1YEE",
      "html_url": null,
      "point_of_contact": "PagerDuty Admin",
      "name": "Cross-tier business service",
      "id": "P1L1YEE",
      "summary": "Cross-tier business service",
      "team": {
        "id": "PQ9K7I8",
        "type": "team_reference",
        "self": "https://api.pagerduty.com/teams/PQ9K7I8"
      }
    }
  ],
  "limit": 100,
  "offset": 0,
  "total": null,
  "more": false
}
```

## Response 400

Caller provided invalid arguments. Please review the response for error details. Retrying with the same arguments will *not* work.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 401

Caller did not supply credentials or did not provide the correct credentials.
If you are using an API key, it may be invalid or your Authorization header may be malformed.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Response 403

Caller is not authorized to view the requested resource.
While your authentication is valid, the authenticated user or token does not have permission to perform this action.

### `application/json`

| Field | Type | Required | Description |
|---|---|---|---|
| `error` | object |  |  |
| `error.code` | integer |  | Read-only. |
| `error.message` | string |  | Error message string. Read-only. |
| `error.errors` | array of string |  | Read-only. |

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
